/***************************************************************************
 *   Copyright (C) 2004-2006 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.6.1
 *   See LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef C2BPOSTPROCESS_H
#define C2BPOSTPROCESS_H

#include "c2bpostprocessbase.h"


class QProcess;

class c2bPostProcess : public c2bPostProcessBase
{
    Q_OBJECT

public:
    c2bPostProcess(const QString& fn,
                   QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~c2bPostProcess();


signals:
    void helpRequested( const QString& ln );
    void openFileRequested( const QString& fn );


protected:
    void PProcessFile();


protected slots:
    virtual void AddToLogs();
    virtual void conversionEnded();
    virtual void Help();
    virtual void openFile();


private:
    QProcess *ppBibTeX;
    QString bib;
    QString out;
    QString PPBIBTEX_ARG;
    QString PPBIBTEX_BIN;
    QString PPBIBTEX_EXT;

};

#endif
